HTMLTableSectionElement (XML Standard API)
Keywords: org.w3c.dom.html.HTMLTableSectionElement interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLTableSectionElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLTableSectionElement

extends HTMLElement

The `THEAD`, `TFOOT`, and `TBODY`elements.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `deleteRow(int index)` Delete a row from this section.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cells.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`HTMLCollection` | `getRows()` The collection of rows in this table section.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cells.See the `valign`attribute for HTMLTheadElement for details.
`HTMLElement` | `insertRow(int index)` Insert a row into this section.
`void` | `setAlign(java.lang.String align)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setVAlign(java.lang.String vAlign)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getAlign

    java.lang.String getAlign()

  Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details.

### setAlign

    void setAlign(java.lang.String align)

### getCh

    java.lang.String getCh()

  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

    void setCh(java.lang.String ch)

### getChOff

    java.lang.String getChOff()

  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

    void setChOff(java.lang.String chOff)

### getVAlign

    java.lang.String getVAlign()

  Vertical alignment of data in cells.See the `valign`attribute for HTMLTheadElement for details.

### setVAlign

    void setVAlign(java.lang.String vAlign)

### getRows

    HTMLCollection getRows()

  The collection of rows in this table section.

### insertRow

    HTMLElement insertRow(int index)

  Insert a row into this section.

  Parameters:
    `index` - The row number where to insert a new row.
  Returns:
    The newly created row.

### deleteRow

    void deleteRow(int index)

  Delete a row from this section.

  Parameters:
    `index` - The index of the row to be deleted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.